//				Step22.cpp
//    (firststeps.narod.ru)
//			  (1999-2001)
//			      1999 .
//           1.07.2001

#include "afxwin.h"	  //   MFC
#include "resource.h" //  

class CMyDoc : public CDocument	 //  
{
protected: 
	CMyDoc();
	CString csDate;				//   			
	DECLARE_DYNCREATE(CMyDoc)
public:
	CString GetDate();			//  
};

class CMyView : public CView	//  
{
protected: 
	CMyView();						
	CMyDoc* GetDocument();		//  
	DECLARE_DYNCREATE(CMyView)	//      	
public:
	virtual void OnDraw(CDC* pDC);
};

CMyDoc* CMyView::GetDocument()
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CMyDoc)));	//     
	return (CMyDoc*)m_pDocument;							//  .
}


void CMyView::OnDraw(CDC* pDC)	 
{
	CMyDoc* tempDoc=GetDocument();				//  
	pDC->TextOut(10,10,tempDoc->GetDate());		//     

}

IMPLEMENT_DYNCREATE(CMyView, CView)

CMyView::CMyView()					
{
}


class CMainFrame : public CFrameWnd	//   	
{
protected:							
	CMainFrame();					
	DECLARE_DYNCREATE(CMainFrame)	
public:
};


IMPLEMENT_DYNCREATE(CMainFrame, CFrameWnd)

CMainFrame::CMainFrame()				
{	
}



IMPLEMENT_DYNCREATE(CMyDoc,	CDocument)

CMyDoc::CMyDoc()					
{
	csDate="Hello View - Doc";   //  
}

CString CMyDoc::GetDate()
{
	return csDate;				// 
}


class CStep2App : public CWinApp	//  
{
public:
	CStep2App();					
	virtual BOOL InitInstance();
};



BOOL CStep2App::InitInstance()						
{
	CSingleDocTemplate* pDocTemplate;	//  
	pDocTemplate = new CSingleDocTemplate(	       
		IDR_MAINFRAME,					//  		
		RUNTIME_CLASS(CMyDoc),			// 	 ----|
		RUNTIME_CLASS(CMainFrame),		//   ---|   .	
		RUNTIME_CLASS(CMyView));		// 	 ----|
	AddDocTemplate(pDocTemplate);		//  
	CCommandLineInfo cmdInfo;			//   
	ParseCommandLine(cmdInfo);			//   			
	if (!ProcessShellCommand(cmdInfo))	//    
		return FALSE;                   
    m_pMainWnd->ShowWindow(SW_SHOW);    //  		
	m_pMainWnd->UpdateWindow();			//    	
	return TRUE;								
}

CStep2App::CStep2App()		
{
}

CStep2App theApp;
